// This file is generated by kconfig_compiler from kwooty_schedulersettings.kcfg.
// All changes you do to this file will be lost.
#ifndef SCHEDULERSETTINGS_H
#define SCHEDULERSETTINGS_H

#include <kconfigskeleton.h>
#include <kdebug.h>

class SchedulerSettings : public KConfigSkeleton
{
  public:

    static SchedulerSettings *self();
    ~SchedulerSettings();

    /**
      Set Always limit download speed
    */
    static
    void setEnablePermanentSpeedLimit( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "enablePermanentSpeedLimit" ) ))
        self()->mEnablePermanentSpeedLimit = v;
    }

    /**
      Get Always limit download speed
    */
    static
    bool enablePermanentSpeedLimit()
    {
      return self()->mEnablePermanentSpeedLimit;
    }

    /**
      Set Enable scheduler
    */
    static
    void setEnableScheduler( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "enableScheduler" ) ))
        self()->mEnableScheduler = v;
    }

    /**
      Get Enable scheduler
    */
    static
    bool enableScheduler()
    {
      return self()->mEnableScheduler;
    }

    /**
      Set Download limit rate
    */
    static
    void setDownloadLimitSpinBox( int v )
    {
      if (v < 0)
      {
        kDebug() << "setDownloadLimitSpinBox: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 99999)
      {
        kDebug() << "setDownloadLimitSpinBox: value " << v << " is greater than the maximum value of 99999";
        v = 99999;
      }

      if (!self()->isImmutable( QString::fromLatin1( "downloadLimitSpinBox" ) ))
        self()->mDownloadLimitSpinBox = v;
    }

    /**
      Get Download limit rate
    */
    static
    int downloadLimitSpinBox()
    {
      return self()->mDownloadLimitSpinBox;
    }

    /**
      Set Automatically set on Pause every incoming nzb file
    */
    static
    void setPauseIncomingFiles( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "pauseIncomingFiles" ) ))
        self()->mPauseIncomingFiles = v;
    }

    /**
      Get Automatically set on Pause every incoming nzb file
    */
    static
    bool pauseIncomingFiles()
    {
      return self()->mPauseIncomingFiles;
    }

    /**
      Set Bypass scheduler for items that will manually be set on Pause/Start
    */
    static
    void setBypass( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "bypass" ) ))
        self()->mBypass = v;
    }

    /**
      Get Bypass scheduler for items that will manually be set on Pause/Start
    */
    static
    bool bypass()
    {
      return self()->mBypass;
    }

    /**
      Set Select scheduler bypass method
    */
    static
    void setBypassMethods( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "bypassMethods" ) ))
        self()->mBypassMethods = v;
    }

    /**
      Get Select scheduler bypass method
    */
    static
    int bypassMethods()
    {
      return self()->mBypassMethods;
    }

  protected:
    SchedulerSettings();
    friend class SchedulerSettingsHelper;


    // schedulerplugin
    bool mEnablePermanentSpeedLimit;
    bool mEnableScheduler;
    int mDownloadLimitSpinBox;
    bool mPauseIncomingFiles;
    bool mBypass;
    int mBypassMethods;

  private:
};

#endif

